<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CBend_login extends CBend {

	const TBL_NAME = "user";
	const ENTRY_PAGE = "cell";

	public function init() {
		$this->bind("hd_login");
	}

	private function authenticate( $username, $password ) {

		//-- table name
		$tbl = self::TBL_NAME;

		//-- open database
		CDb::open();

		//-- build clauses
		$clx = array();

		//-- select clause
		$clx[] = CSql::clSelect(null);

		//-- from clause
		$clx[] = CSql::clFrom(self::TBL_NAME);

		//-- where clause
		$cond = array();
		$cond[] = CSql::clCond("status","=",1);
		$cond[] = CSql::clCond("username","=",$username);
		$clx[] = CSql::clWhere("AND",$cond);

		//-- find password
		$password_db = null;
		$result = CSql::query( $clx );
		if ( $rs = CDb::getRowA( $result ) ) {
			$password_db = $rs["password"];
		}
		CDb::freeResult($result);

		//-- check password
		$b = ( $password == $password_db );

		if ( $b ) {
			CSess::setUserInfoArray($rs);
		}

		return $b;
	}

	public function hd_login( $data ) {

		//-- locale
		$lca_key = "auth";
		$lca = CEnv::locale( $lca_key );

		$form = $_REQUEST["form"];

		$url_success = null;
		$error_alerts = array();
		$error_fields = array();

		if ( empty($form["username"]) ) {
			$error_alerts[] = $lca[ 'err:empty-username' ];
			$error_fields[] = "username";
		}

		if ( empty($form["password"]) ) {
			$error_alerts[] = $lca[ 'err:empty-password' ];
			$error_fields[] = "password";
		}

		if ( count($error_fields) == 0 ) {
			if ( $this->authenticate($form["username"],$form["password"]) ) {
				$url_success = CApp::vurl(self::ENTRY_PAGE);
			} else {
				$error_alerts[] = $lca[ 'err:wrong-login' ];
			}
		}

		//-- ret
		$data->resp['result'] = 'OK';
		$data->resp['error_alerts'] = $error_alerts;
		$data->resp['error_fields'] = $error_fields;
		$data->resp['url_success'] = $url_success;
	}

}

?>