<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CBaseTpl extends CObject {

	public function init () {
		$this->bind("hd_DocType");
		$this->bind("hd_HtmlBegin");
		$this->bind("hd_HtmlHead");
		$this->bind("hd_BodyHeader");
		$this->bind("hd_Body");
		$this->bind("hd_BodyFooter");
	}

	public function hd_DocType() {
		echo "<!doctype html>\r\n";
	}

	public function hd_HtmlBegin( $data ) {
	}

	public function hd_HtmlHead( $data ) {
		$url_mod = $this->urlMod();

		//-- breadcrumbs
		$bx = array();

		$this->lca_app = CEnv::locale("app.info");
		if ( !empty($this->lca_app[ "app:name" ]) ) {
			$bx[] = htmlspecialchars($this->lca_app[ "app:name" ]);
		}

		$page_title = CApp::get( "page-title" );
		if ( !empty($page_title) ) {
			$bx[] = htmlspecialchars($page_title);
		}

		$this->breadcrumbs = implode(" : ",$bx);
?>

<!--[BEGIN] site meta -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
<!--[END] site meta -->

<!--[BEGIN] title -->
<?php if ( $this->breadcrumbs ) {
	echo "<title>" . $this->breadcrumbs . "</title>";
}
?> 
<!--[END] title -->

<!--[BEGIN] bootstrap.css -->
<link href="<?php echo $url_mod; ?>bootstrap/css/bootstrap.min.css" rel="stylesheet">
<!--[END] bootstrap.css -->

<!--[BEGIN] jQuery -->
<script src="<?php echo $url_mod; ?>js/jquery-1.11.1.min.js"></script>
<!--script src="res/site/js/preload-images.js"></script-->
<!-- enable background color animation -->
<script src="<?php echo $url_mod; ?>js/jquery.color.js"></script>
<!--[END] jQuery -->

<!-- [BEGIN] html5shiv (semantic elements) & respond.js(media queries) -->
<!--[if lt IE 9]>
<script src="<?php echo $url_mod; ?>js/html5shiv.min.js"></script>
<script src="<?php echo $url_mod; ?>js/respond.min.js"></script>
<![endif]-->
<!-- [END] html5shiv (semantic elements) & respond.js(media queries) -->

<!--[BEGIN] bootstrap.js -->
<script src="<?php echo $url_mod; ?>bootstrap/js/bootstrap.min.js"></script>
<!--[END] bootstrap.js -->

<!--[BEGIN] app css -->
<link href="<?php echo $url_mod; ?>css/app.css" rel="stylesheet"/>
<!--[END] app css -->

<!--[BEGIN] sticky-footer css -->
<link href="<?php echo $url_mod; ?>css/sticky-footer.css" rel="stylesheet"/>
<!--[END] sticky-footer css -->

<!--[BEGIN] ie fix -->
<link href="<?php echo $url_mod; ?>css/gte-ie10.css" rel="stylesheet"/>
<!--[if IE]>
<link href="<?php echo $url_mod; ?>css/lte-ie9.css" rel="stylesheet"/>
<![endif]-->
<!--[if lte IE 7]>
<link href="<?php echo $url_mod; ?>css/lte-ie7.css" rel="stylesheet"/>
<script src="<?php echo $url_mod; ?>js/lte-ie7.js"></script>
<![endif]-->
<!--[END] ie fix -->

<!--[BEGIN] app -->
<script src="<?php echo $url_mod; ?>js/app.js"></script>
<script src="<?php echo $url_mod; ?>js/CJRLdr.js"></script>
<script src="<?php echo $url_mod; ?>js/CMsgBox.js"></script>
<?php CJRLdr::loadLocale("msgbox"); ?>
<link href="<?php echo $url_mod; ?>css/CNotify.css" rel="stylesheet"/>
<script src="<?php echo $url_mod; ?>js/CNotify.js"></script>
<link href="<?php echo $url_mod; ?>css/CBreadcrumb.css" rel="stylesheet"/>
<script src="<?php echo $url_mod; ?>js/CBreadcrumb.js"></script>
<script src="<?php echo $url_mod; ?>js/CSideMenu.js"></script>
<!--[END] app -->

<!--[BEGIN] scrollbtn -->
<link href="<?php echo $url_mod; ?>css/scrollbtn.css" rel="stylesheet"/>
<script src="<?php echo $url_mod; ?>js/scrollbtn.js"></script>
<!--[END] scrollbtn -->

<!--[BEGIN] navbar-dropdown -->
<link href="<?php echo $url_mod; ?>css/navbar-dropdown.css" rel="stylesheet"/>
<!--[END] navbar-dropdown -->

<!--[BEGIN] collapse-navbar -->
<!--link href="<?php echo $url_mod; ?>css/collapse-navbar.css" rel="stylesheet"/-->
<!--[END] collapse-navbar -->

<?php }

	public function hd_BodyHeader( $data ) {
		$url_mod = $this->urlMod();
?>
<header>
<nav class="navbar navbar-default navbar-fixed-top navbar-inverse" role="navigation">
	<div class="container-fluid">

		<!-- Brand and toggle get grouped for better mobile display -->
		<div class="navbar-header">

			<button type="button" class="navbar-toggle collapsed"
				data-toggle="collapse"
				data-target="#top-menu"
				accesskey="m">
				<span class="sr-only">Toggle navigation</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>

			<span class="navbar-brand" style="color:white;" href="./" onclick="return false;">
				<span class="glyphicon glyphicon-th"> </span>
				<span style='font-family:"Arial Black","Arial";'>
				<?php echo $this->lca_app[ "app:name" ]; ?></span>
			</span>
		</div>

		<!-- Collect the nav links, forms, and other content for toggling -->
		<div class="collapse navbar-collapse" id="top-menu">
			<ul class="nav navbar-nav navbar-right">
				<?php CTopMenu::printMenu( CApp::get( "doc" ) ); ?>
			</ul>
		</div><!-- /.navbar-collapse -->

	</div><!-- /.container-fluid -->
</nav>
</header>
<!-- /header -->
<?php }

	public function hd_Body( $data ) {
	}

	public function hd_BodyFooter() {
?>

<!-- footer -->
<footer>
<style>
footer {
	text-align:center;
}
.site-name-container {
	display:inline-block;
	*zoom:1;
	*display:inline;
	margin:5px 0;
}
.site-name {
	font-family:"Arial Black","Arial";
	font-size:14px;
	font-weight:normal;
	color:#666;
}
</style>

<div style='text-align:left;padding:0 20px;position:relative;top:3px;font-size:16px;'>
<span class="glyphicon glyphicon-user" aria-hidden="true"></span>
<?php echo CSess::getUserInfo("username"); ?>
</div>

</footer>
<!-- /footer -->

<?php }

}

?>