/*js
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<
*/

(function($){

	function isIE7() {
		return (navigator.appVersion.indexOf("MSIE 7.")!=-1);
	};

	function isTouchDevice() {
		return (('ontouchstart' in window) ||
			(navigator.MaxTouchPoints > 0) ||
			(navigator.msMaxTouchPoints > 0));
	};

	function setGlyphicon() {
		$('.glyphicon').css('margin','0 3px');
		$('.glyphicon').each(function() {
			var gly = {
				"circle-arrow-up":"&#xe133;",
				"circle-arrow-down":"&#xe134;"
			};

			var class_name = $(this).attr('class');
			var regExp = /glyphicon-([a-z\-]+)/;
			if ( mx = regExp.exec(class_name) ) {
				var n = mx[1];
				if ( n in gly ) {
					$(this).html(gly[n]);
				}
			}
		});
	};

	function showScrollBtn( b_show ) {

		var jqo = $('.scrollbtn-container');

		if ( b_show ) {

			if ( jqo.length ) {
				jqo.show();
			} else {
				var txt = 
					"<div class='scrollbtn-container'>"+
						"<div class='scrollbtn scrollbtn-gotop'"+
							"title='Top'>"+
							"<span class='glyphicon glyphicon-circle-arrow-up'></span>"+
						"</div>"+
						"<div class='scrollbtn scrollbtn-gobottom'"+
							"title='Bottom'>"+
							"<span class='glyphicon glyphicon-circle-arrow-down'></span>"+
						"</div>"+
					"</div>";
				$(txt).appendTo("body");

				if ( isIE7() ) {
					setGlyphicon();
				}

				function scrollToX( loc ) {
					var  y = 0;
					if ( loc == '@top' ) {
						y = 0;
					} else if ( loc == '@bottom' ) {
						var  viewport_height =
							Math.max(
								document.documentElement.clientHeight,
								window.innerHeight || 0);
						y =  $(document).height()-viewport_height;
					}

					var t = 1000;
					var dx = $(document).height() - $(window).height();
					if ( dx < 1000 ) {
						t = dx;
					}

					$('html, body').stop().animate({
						scrollTop: y
					}, t /*,'easeInOutExpo'*/);
				};

				$('.scrollbtn-gotop').click(function(e){
					e.preventDefault();
					scrollToX( "@top" );
				});

				$('.scrollbtn-gobottom').click(function(e){
					e.preventDefault();
					scrollToX( "@bottom" );
				});
			}

		} else {
			if ( jqo.length ) {
				jqo.hide();
			}
		}
	};

	$(document).ready(function(){
		if ( !isTouchDevice() ) {
			var resize_window = function() {
				setTimeout(function(){
					var b = ( $(document).height() > $(window).height() + 100 ) &&
						( $(document).width() > 800 );
					showScrollBtn(b);
				},1000);
			};
			resize_window();
			$( window ).bind( "resize", resize_window );
		}
	});

}(jQuery));
