<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CBend_cell extends CBend {

	const TBL_NAME = "cell";
	const ID_NAME = "cell_id";

	public function init() {
		$this->bind("hd_edit_inp");
		$this->bind("hd_edit_done");
		$this->bind("hd_codegen");
	}

	protected function validate( &$form, &$vx, &$error_alerts, &$error_fields ) {

		//-- table name
		$tbl = self::TBL_NAME;

		//-- init
		$vx = array();
		$error_alerts = array();
		$error_fields = array();

		//-- locale
		$lca_key = "{$tbl}/validate";
		$lca = CEnv::locale( $lca_key );

		//-- title
		$vx["title"] = "php Infinite Scroll";

		//-- txt
		$vx["txt"] = !empty($form["txt"]) ? $form["txt"] : null;

		return ( count($error_alerts) == 0 );
	}

	public function hd_edit_inp( $data ) {

		//-- table name
		$tbl = self::TBL_NAME;

		//-- locale
		$lca_key = "{$tbl}/input";
		$lca = CEnv::locale( $lca_key );

		//-- search criteria
		$id = $_REQUEST["id"];

		//-- open database
		CDb::open();

		//-- build clauses
		$clx = array();

		//-- select clause
		$clx[] = CSql::clSelect(array(
			self::ID_NAME,
			"title",
			"txt",
		));

		$clx[] = CSql::clFrom(self::TBL_NAME);

		//-- where clause
		$cond = array();
		$cond[] = CSql::clCond(self::ID_NAME,"=",$id);

		if ( count($cond) > 0  ) {
			$clx[] = CSql::clWhere("AND",$cond);
		}

		//-- run query
		$result = CSql::query($clx);
		if ( CDb::getRowCount( $result ) == 0 ) {
			$lca = CEnv::locale("{$tbl}/validate");
			$data->resp['result'] = 'OK';
			$data->resp['err'] = $lca["err:not-exist"];
			return;
		}

		$rs = CDb::getRowA( $result );

		//-- start caching
		self::obStart();

		//-- template
		$b_mrec = false;
		include( dirname(__FILE__) . "/tpl.edit.inc.php" );
		CDb::freeResult($result);

		//-- end caching
		$html = self::obEnd();

		//-- resp
		$data->resp['result'] = 'OK';
		$data->resp['html'] = $html;
	}

	public function hd_edit_done( $data ) {

		//-- table name
		$tbl = self::TBL_NAME;

		//-- form data
		$form = $_REQUEST["form"];
		$id = $_REQUEST["id"];

		//-- validate
		if ( !$this->validate( $form, $vx, $error_alerts, $error_fields ) ) {
			$data->resp['result'] = 'OK';
			$data->resp['error_alerts'] = $error_alerts;
			$data->resp['error_fields'] = $error_fields;
			return;
		}

		//-- open database
		CDb::open();

		//-- build clauses
		$clx = array();

		//-- update clause
		$clx[] = CSql::clUpdate(self::TBL_NAME,$vx);

		//-- where clause
		$cond = array();

		$cond[] = CSql::clCond(self::ID_NAME,"=",$id);

		if ( count($cond) > 0  ) {
			$clx[] = CSql::clWhere("AND",$cond);
		}

		//-- run query
		CSql::query($clx);
		//$this->hd_search( $data );

		//-- resp
		$data->resp['result'] = 'OK';
	}

	public function hd_codegen( $data ) {

		//-- table name
		$tbl = self::TBL_NAME;

		//-- locale
		$lca_key = "{$tbl}/codegen";
		$lca = CEnv::locale( $lca_key );

		//-- search criteria
		$id = $_REQUEST["id"];

		//-- open database
		CDb::open();

		//-- build clauses
		$clx = array();

		//-- select clause
		$clx[] = CSql::clSelect(array(
			self::ID_NAME,
			"title",
			"txt",
		));

		$clx[] = CSql::clFrom(self::TBL_NAME);

		//-- where clause
		$cond = array();
		$cond[] = CSql::clCond(self::ID_NAME,"=",$id);

		if ( count($cond) > 0  ) {
			$clx[] = CSql::clWhere("AND",$cond);
		}

		//-- run query
		$result = CSql::query($clx);
		if ( CDb::getRowCount( $result ) == 0 ) {
			$lca = CEnv::locale("{$tbl}/validate");
			$data->resp['result'] = 'OK';
			$data->resp['err'] = $lca["err:not-exist"];
			return;
		}

		//-- load preview configuration
		$lca = CEnv::locale("{$tbl}/codegen");

		$rs = CDb::getRowA( $result );
		$url_cell = CEnv::urlClient() . "cn.php";
		//$url_cell .= "?id=" . $rs["cell_id"];
		$code_putonwebpage = '<script src="'.$url_cell.'"></script>'; 

		//-- start caching
		self::obStart();

		//-- template
		$b_mrec = false;
		include( dirname(__FILE__) . "/tpl.codegen.inc.php" );
		CDb::freeResult($result);

		//-- end caching
		$html = self::obEnd();

		//-- resp
		$data->resp['result'] = 'OK';
		$data->resp['html'] = $html;
	}

}

?>