/*js
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<
*/

(function($){

function scrollToTop() {
	$('html, body').stop().animate({scrollTop:0},0);
};

function addDelimiter( jqo, deli ) {
	var msg = jqo.val();

	if ( msg != "" ) {
		var pat1 = /(\r?)\n(\r?)\n$/;
		if ( !pat1.exec(msg) ) {
			var pat2 = /(\r?)\n$/;
			if ( pat2.exec(msg) ) {
				msg += "\r\n";
			} else {
				msg += "\r\n\r\n";
			}
		}
	}

	if ( deli ) {
		msg += deli;
	}

	msg += "\r\n\r\n";

	jqo.focus().val("").val(msg);
	jqo.stop().animate({scrollTop:jqo.get(0).scrollHeight},0);
};

CSingleRecAction = {

	selectAllText : function( jqo ) {
		jqo.select();
		setTimeout(function(){
			jqo.select();
		},1000);
	},

	init : function() {
		var _this = this;

		this.jqo_search = $(".cont-search");
//		this.jqo_dtable = this.jqo_search.find(".dtable");
		this.cont_dialog = $(".cont-dialog");
		this.cont_detail = $(".cont-detail");

		$M(this).bind( "rp_edit_inp", function( resp ) {
			var _this = this;

			if ( "err" in resp ) {
				CMsgBox.show( resp.err, null, "ok" );
			} else {
				CBreadcrumb.write(["Articles","Edit"]);

				this.cont_detail.html(resp.html);

				//-- scroll to top
				scrollToTop();

				this.cont_detail.find('.btn-ok').click(function(e){
					e.preventDefault();
					_this.pc_edit_done($(this).parents("form"));
					scrollToTop();
				});

				this.cont_detail.find('.btn-cancel').click(function(e){
					e.preventDefault();
					_this.jqo_search.show();
					_this.cont_detail.hide();
					scrollToTop();
				});

				this.cont_detail.find(".btn-codegen").click(function(e){
					e.preventDefault();
					_this.pc_codegen($(this));
				});

				this.cont_detail.find(".btn-delimiter").click(function(e){
					e.preventDefault();
					_this.pc_delimiter();
				});

				this.jqo_search.hide();
				this.cont_detail.show();
			}
		});

		$M(this).bind( "rp_edit_done", function( resp ) {
			if ( "error_alerts" in resp ) {
				CForm.indicateErrorState(this.cont_detail.find("form"),resp.error_fields);
				CForm.printErrorAlerts(this.cont_detail.find("form"),resp.error_alerts);
			} else {
//				this.jqo_search.show();
//				this.cont_detail.hide();
				$M().trigger("rp_search",resp);
				var lca = CJRLdr.locale("crud");
				CNotify.show(lca["notify:updated"]);
			}
		});

		$M(this).bind( "rp_codegen", function( resp ) {
			var _this = this;

			if ( "err" in resp ) {
				CMsgBox.show( resp.err, null, "ok" );
			} else {
				this.cont_dialog.html(resp.html);

				var dlg = this.cont_dialog.find('.dlgbox-codegen');
				var form = dlg.find(".form-codegen");
				form.submit(function(e){
					e.preventDefault();
				});

				dlg.modal('show');
				this.selectAllText(form.find("textarea[name='code']"));
			}

		});

		var data = {
			cmd:"edit_inp",
			id:1001
		};
		CJAjax.send(data,this,function(resp){
			$M().trigger("rp_edit_inp",resp);
		});
	},

	pc_edit_inp : function( jqo ) {
		var data = {
			cmd:"edit_inp",
			id:jqo.attr("data-id")
		};
		CJAjax.send(data,this,function(resp){
			$M().trigger("rp_edit_inp",resp);
		});
	},

	pc_edit_done : function( jqo_form ) {
		var form = CForm.get(jqo_form,[
			"title",
			"txt",
		]);

		var data = {
			cmd:"edit_done",
			id:jqo_form.attr("data-id"),
			form:form
		};
//		$M().trigger("pp_search",data);
		CJAjax.send(data,this,function(resp){
			$M().trigger("rp_edit_done",resp);
		});
	},

	pc_codegen : function( jqo ) {
		var data = {
			cmd:"codegen",
			id:jqo.attr("data-id")
		};
		CJAjax.send(data,this,function(resp){
			$M().trigger("rp_codegen",resp);
		});
	},

	pc_delimiter : function() {
		var jqo = this.cont_detail.find("textarea[name='txt']");
		var cfg = CJRLdr.config("cell/article");
		addDelimiter(jqo,cfg["article-separator"]);
	}
};

$(document).ready(function(){
	CDTable.init();
//	CCriteria.init();
	CSingleRecAction.init();
//	CToolBar.init();
});

}(jQuery));
