<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CObject {

	private static $loadhist = array();

	private function loadProc( $path, $data ) {
		$px = explode( "/", $path );
		if ( count($px) == 1 ) {
			list( $mname ) = $px;
			CModule::connect( $mname );
		} else if ( count($px) == 2 ) {
			list( $mname, $cls ) = $px;
			if ( $mname == '~' ) {
				$mname = $this->mname;
			} else {
				CModule::connect( $mname );
			}
			$p = $mname . '/' . $cls;
			if ( !isset(self::$loadhist[$p]) ) {
				$obj = new $cls;
				self::$loadhist[$p] = $obj;

				$obj->mname = $mname;
				$obj->mod =& CModule::$mods[$mname];
				$obj->init( $data );
			}
		}
	}

	public function load( $ls, $data = null ) {
		if ( is_array( $ls ) ) {
			foreach( $ls as $path ) {
				$this->loadProc( $path, $data );
			}
		} else {
			$this->loadProc( $ls, $data );
		}
	}

	public function bind( $ename ) {
		CSMsg::bind( $this, $ename );
	}

	public function unbind( $cname, $ename ) {
		CSMsg::unbind( $cname, $ename );
	}

	public function trigger( $ename, $data = null ) {
		CSMsg::trigger( $this, $ename, $data );
	}

	public function pathMod() {
		return CApp::normPath( CApp::$_rtc['path-entity'] . $this->mod['dir'] . '/' );
	}

	public function urlMod() {
		return CApp::normPath( CApp::$_rtc['url-entity'] . $this->mod['dir'] . '/' );
	}

}

?>