<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CRoll {

	public static $rolls = null;

	public static function setup() {
		$path = dirname(dirname(__FILE__)) . "/roll.inc.php";
		if ( file_exists($path) ) {
			$rolls =& self::$rolls;
			include_once(dirname(dirname(__FILE__)) . "/roll.inc.php");
		}
	}

	public static function getAllRolls() {
		$rx = array("public");
		$b = CSess::getUserInfo("b_admin");
		if ( !is_null($b) ) {
			array_push($rx,"regular");
			if ( $b == 1 ) {
				array_push($rx,"admin");
			}
		}
		return $rx;
	}

	public static function hasRoll( $rolls ) {
		if ( !is_array($rolls) ) {
			$rolls = array($rolls);
		}
		$rx = self::getAllRolls();
		foreach( $rolls as $roll ) {
			if ( in_array($roll,$rx) ) {
				return true;
			}
		}
		return false;
	}

	public static function hasAccess( $mname ) {
		if ( is_null(self::$rolls) ) { return true; }

		$rx = self::getAllRolls();
		if ( in_array("admin",$rx) ){
			return true;
		}
		if ( in_array("regular",$rx) ){
			if ( !in_array($mname,array("user")) ) {
				return true;
			}
		}
		if ( in_array("public",$rx) ){
			if ( in_array($mname,array("","login","logout")) ) {
				return true;
			}
		}
		return false;
	}

	public static function checkAccess( $mname ) {
		if ( !self::hasAccess($mname) ) {
			CSess::exitSess();
		}
	}
}

?>