/*js
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<
*/

(function($){

var err_display = "console";

CJAjax = {

	printError : function( msg ) {
		switch ( err_display ) {
		case 'alert':
			alert(msg);
			break;
		case 'console':
			console.log(msg);
			break;
		}
	},

	send : function( data, obj, func, url_be ) {
		CUWait.start();

		url_be = url_be || window.url_be_entry;

		var _this = this;
		$.ajax({
			url:url_be,
			data:data,
			dataType: 'json',
			success:function(resp){
				CUWait.stop();

				_this.process( resp, obj, func );
			},
			error:function( jqXHR, textStatus, errorThrown ){
				CUWait.stop();

				var s = '[$.ajax.error]\n';
				s += jqXHR.responseText+'\n';
				s += textStatus+'\n';
				s += errorThrown;
				_this.printError( s );
			}
		});
	},

	onError : function( resp ) {
		this.printError( resp.result );
	},

	process : function( resp, obj, func ) {
		if ( resp.result == 'OK' ) {
			func.call(obj,resp);
		} else {
			var sig = "@redirect@:";
			if ( resp.result.substr(0,sig.length) == sig ) {
				var url = resp.result.substr(sig.length);
				document.location.href = url;
			} else {
				this.onError( resp );
			}
		}
	}

};

window.CJAjax = CJAjax;

}(jQuery));
