<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CAppReq {

	public static $lng_params;
	public static $msg;

	public static function lng( $key ) {
		return self::$lng_params[ $key ];
	}

	public static function checkPhpVersion() {
		$ver_req = "5.2";
		$ver_cur = phpversion();
		if ( strnatcmp( $ver_cur, $ver_req ) >= 0 ) { 
			# equal or newer 
		} else {
			self::$lng_params = CEnv::locale( "app.req" );
			$msg = self::lng( 'err:php-version' );
			$msg = sprintf( $msg, $ver_req, $ver_cur );
			self::$msg = $msg;
			return false;
		}

		return true;
	}

	public static function checkMbString() {
		if ( !function_exists( 'mb_strlen' ) ) { 
			self::$lng_params = CEnv::locale( "app.req" );
			$msg = self::lng( 'err:mb-string' );
			self::$msg = $msg;
			return false;
		}

		return true;
	}

	public static function checkGD() {
		if ( !function_exists( 'imagecreatefromstring' ) ) { 
			self::$lng_params = CEnv::locale( "app.req" );
			$msg = self::lng( 'err:gd' );
			self::$msg = $msg;
			return false;
		}

		return true;
	}

	public static function check() {
		return
			self::checkPhpVersion() &&
			self::checkMbString();
	}
}

?>