<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CDBInstaller {

	private static $lng_params = array();

	private static function lng( $key ) {
		return self::$lng_params[ $key ];
	}

	private static function runSqlText( $px, $sql ) {

		$sql = str_replace(
			" `tbl_",
			" `" . $px[ 'db-tbl-prefix' ],
			$sql );

		//-- [BEGIN] Split Sql Text
		$sql = str_replace( "\r", "", $sql );
		$ax = explode( "\n", $sql );
		$bx = array();
		$cx = array();
		foreach( $ax as $s ) {
			if ( substr( $s, 0, 2 ) != "--" ) {
				$s = trim( $s );
				$bx[] = $s;
				if (( strlen( $s ) > 0 ) && ( substr( $s, -1 ) == ";" )) {
					$cx[] = implode( "\n", $bx );
					$bx = array();
				}
			}
		}
		//-- [END] Split Sql Text

		foreach( $cx as $s ) {
			if ( !( $result = CDb::query( $s ) ) ) {
				return false;
			}
		}

		return true;
	}

	public static function run( &$px, $path_sql, &$errmsg ) {
		self::$lng_params = CEnv::locale( "install" );

		//-- check connection error
		if ( $errno = CDb::open() ) {
			$msg = self::lng( 'err:cannot-connect-to-db' );
			$msg = sprintf( $msg, $px[ 'db-hostname' ] );
			$msg .= " : ";
			$msg .= CDb::connectError();
			$msg .= " ({$errno})";
			$errmsg = $msg;
			return false;
		}

		$sql = file_get_contents( $path_sql );
		if ( !self::runSqlText( $px, $sql ) ) {
			$msg = '';
			$errno = CDb::errno();
			if ( $errno == 1062 ) {
				$msg .= self::lng( 'err:table-already-exists' );
				$msg .= " : ";
			}
			$msg .= CDb::error();
			$msg .= " ({$errno})";
			$errmsg = $msg;
			return false;
		}

		return true;
	}
}

?>