<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// php Infinite Scroll v1.14
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
// Email : admin@phpkobo.com
// ID : NFSRL-114
// URL : http://www.phpkobo.com/php-infinite-scroll
//
// This software is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License.
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

class CFend_setup extends CObject {

	public function init() {
		$this->unbind("CBaseTpl","hd_BodyHeader");
		$this->unbind("CBaseTpl","hd_BodyFooter");
		$this->unbind("CBaseTpl","hd_Body");

		$this->bind("hd_HtmlHead");
		$this->bind("hd_BodyHeader");
		$this->bind("hd_BodyFooter");
		$this->bind("hd_Body");
	}

	public function hd_HtmlHead() {
		$url_mod = $this->urlMod();

		$lca_ai = CEnv::locale("app.info");
		$lca_inst = CEnv::locale("install");
		$this->title = $lca_ai[ 'app:name-version' ] . ' ' . $lca_inst["installation"];
?>

<link href="<?php echo $url_mod; ?>css/CSetup.css" rel="stylesheet">
<script src="<?php echo $url_mod; ?>js/CSetup.js"></script>
<script>
(function($){
	$(document).ready(function(){
		if ( !CDuan.isTouchDevice() ) {
			$(".homebtn").show();
		}
	});
}(jQuery));
</script>
<?php }

	public function hd_BodyHeader( $prt ) {
		$lca_ai = CEnv::locale("app.info");
		$lca_inst = CEnv::locale("install");
		$title = $lca_ai[ 'app:name' ] . ' ' .
			'<span style="font-size:80%;">' . $lca_ai[ 'app:version' ] . '</span> ' .
			 $lca_inst[ "installation" ];
?>
<header>
<div class='title'><?php echo $title; ?></div>
</header>
<?php }

	public function hd_Body( $prt ) {
		if ( !CAppReq::check() ) {
			echo "<div style='font-size:120%;font-weight:bold;color:red;margin:30px;text-align:center;'>";
			echo CAppReq::$msg;
			echo "</div>";
			exit;
		}

		$lca_ai = CEnv::locale("app.info");
		$lca_inst = CEnv::locale("install");
		$msg = str_replace( "%app-name%", $lca_ai[ "app:name" ], $lca_inst[ "click-setup" ] );
?>

<article>

<form class='form-main'>

	<p class='instruction text-info'>
		<?php echo $msg; ?>
	</p>

	<div class="alert alert-danger" role="alert"></div>

	<div style='text-align:center;'>
		<h1><button type="button" class="btn btn-primary btn-lg btn-setup"
			><?php echo $lca_inst[ "btn-setup" ]; ?></button></h1>
	</div>

<?php if (1): ?>
<div class='homebtn btn-a' data-href="<?php echo $lca_ai[ "app:home:url" ]; ?>"
	data-target="_blank" title="<?php echo $lca_ai[ "app:home:name" ]; ?>"
	><span class='glyphicon glyphicon-home'></span></div>
<?php endif; ?>

</form>

<div class='success-panel'></div>

</article>
<?php }

	public function hd_BodyFooter( $prt ) {
		$lca_ai = CEnv::locale("app.info");
?>
<!-- footer -->
<footer>
<?php if (1): ?>
<div class='site-name-container'><span class='site-name btn-a'
	data-href='<?php echo $lca_ai[ "site:url" ]; ?>'
	data-target="_blank"
	><?php echo $lca_ai[ "site:name" ]; ?></span></div>
<?php endif; ?>
</footer>
<!-- /footer -->

<?php }

}

?>